apiVersion: workspace.devfile.io/v1alpha2
kind: DevWorkspaceTemplate
metadata:
  name: che-code-python-hello-world
spec:
  commands:
    - id: init-container-command
      apply:
        component: che-code-injector
  events:
    preStart:
      - init-container-command
  components:
    - name: che-code-runtime-description
      container:
        image: registry.redhat.io/devspaces/udi-rhel8:3.5
        command:
          - /checode/entrypoint-volume.sh
        volumeMounts:
          - name: checode
            path: /checode
        memoryLimit: 1024Mi
        memoryRequest: 256Mi
        cpuLimit: 500m
        cpuRequest: 30m
        endpoints:
          - name: che-code
            attributes:
              type: main
              cookiesAuthEnabled: true
              discoverable: false
              urlRewriteSupported: true
            targetPort: 3100
            exposure: public
            secure: false
            protocol: https
          - name: code-redirect-1
            attributes:
              discoverable: false
              urlRewriteSupported: false
            targetPort: 13131
            exposure: public
            protocol: http
          - name: code-redirect-2
            attributes:
              discoverable: false
              urlRewriteSupported: false
            targetPort: 13132
            exposure: public
            protocol: http
          - name: code-redirect-3
            attributes:
              discoverable: false
              urlRewriteSupported: false
            targetPort: 13133
            exposure: public
            protocol: http
      attributes:
        app.kubernetes.io/component: che-code-runtime
        app.kubernetes.io/part-of: che-code.eclipse.org
        controller.devfile.io/container-contribution: true
    - name: checode
      volume: {}
    - name: che-code-injector
      container:
        image: registry.redhat.io/devspaces/code-rhel8:3.5
        command:
          - /entrypoint-init-container.sh
        volumeMounts:
          - name: checode
            path: /checode
        memoryLimit: 256Mi
        memoryRequest: 32Mi
        cpuLimit: 500m
        cpuRequest: 30m
---
apiVersion: workspace.devfile.io/v1alpha2
kind: DevWorkspace
metadata:
  name: python-hello-world
spec:
  started: true
  template:
    components:
      - name: python
        container:
          image: registry.redhat.io/devspaces/udi-rhel8:3.5
          volumeMounts:
            - name: venv
              path: /home/user/.venv
          memoryLimit: 2G
          mountSources: true
        attributes:
          controller.devfile.io/merge-contribution: true
      - name: venv
        volume:
          size: 1G
    commands:
      - id: run
        exec:
          label: Run the application
          component: python
          workingDir: ${PROJECTS_ROOT}/python-hello-world
          commandLine: >-
            python -m venv .venv && . .venv/bin/activate && python
            hello-world.py
          group:
            kind: run
    projects:
      - name: python-hello-world
        zip:
          location: '{{ INTERNAL_URL }}/resources/v2/python-hello-world.zip'
  contributions:
    - name: editor
      kubernetes:
        name: che-code-python-hello-world
